Skip to main content
POST
/
bankaccounts
Create bank account
curl --request POST \
  --url https://api.truust.io/2.0/bankaccounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": 7485,
  "name": "My bank account",
  "type": "IBAN",
  "number": "ES1300812944953951475955",
  "bic": "CAIXESBBXXX"
}
'
{
  "id": 123,
  "self": "<string>",
  "uuid": "<string>",
  "type": "<string>",
  "name": "<string>",
  "number": "<string>",
  "bic": "<string>",
  "tag": "<string>",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Body

application/json
name
string
required

Account holder name.

Maximum string length: 255
Example:

"My bank account"

type
enum<string>
required

Bank account type. IBAN for SEPA accounts, BSB_ACCOUNT for Australian accounts, INTERNATIONAL for SWIFT/BIC accounts, CLEARJUNCTION / CURRENCYCLOUD for gateway-linked accounts, PA_CTE / PA_AHORRO for Spanish payment accounts, and OTHER / CL_CTE / CL_VISTA / CL_AHORRO / ZEPTO for other formats.

Available options:
IBAN,
OTHER,
BSB_ACCOUNT,
PA_AHORRO,
PA_CTE,
CL_CTE,
CL_VISTA,
CL_AHORRO,
INTERNATIONAL,
ZEPTO,
CLEARJUNCTION,
CURRENCYCLOUD
Example:

"IBAN"

number
string
required

Bank account number or IBAN. Must be a valid IBAN when type is IBAN, CLEARJUNCTION, or CURRENCYCLOUD.

Example:

"ES1300812944953951475955"

customer_id
integer

Customer ID to assign the bank account to. Required unless customer_type is source.

Example:

7485

customer_type
enum<string>

Pass source to register a bank account for the authenticated account instead of a customer.

Available options:
source
bic
string

BIC/SWIFT code. Required for INTERNATIONAL type. Auto-populated from bsb for BSB_ACCOUNT.

Maximum string length: 11
Example:

"CAIXESBBXXX"

bsb
string

6-digit BSB code (Australian bank routing number). Required for BSB_ACCOUNT type.

Example:

"062000"

cod_entidad
string

Entity code for Spanish payment accounts (PA_CTE / PA_AHORRO). Auto-populated from bic.

iban
string

IBAN (alternative field to number for SEPA accounts).

Example:

"ES9121000418450200051332"

tag
string
Maximum string length: 100
metadata
object

Additional metadata. For CLEARJUNCTION and CURRENCYCLOUD types the following beneficiary fields are required.

Response

Bank account created

id
integer
self
string
uuid
string
type
string

Account type (e.g. IBAN, ACCOUNT).

name
string | null

Account holder name.

number
string

Masked account number or IBAN.

bic
string | null
tag
string | null
metadata
object
created_at
string<date-time> | null
connections
object

Hypermedia links to related resources.